--- title: "Edit traffic policy resource" slug: "policy-resource-edit" tags: ["Global Traffic Manager"] updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/policy-resource-edit" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Edit traffic policy resource Available in Classic and VPC Edit all configured resource information of a traffic policy. Note When you request the Edit policy resource API, it replaces the previously set resource information with the resource information contained in the request body. To edit the information only for a specific resource, see [Edit specific policy resource API](/docs/en/policy-specific-resource-edit). ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | PUT | /gtm/v1/policies/{policyId}/resources | ### Request headers For information about the headers common to all Traffic Policy APIs, see [Traffic Policy API request headers](/docs/en/policy-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `policyId` | Integer | Required | Policy ID - See [View policy](/docs/en/policy-view) | ### Request body See [PolicyRequest](/docs/en/policy-request#%ED%95%84%EB%93%9C) for the request body. ### Request example The following is a sample request. ``` curl --location --request PUT 'https://globaltrafficmanager.apigw.ntruss.com/gtm/v1/policies/****/resources' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '[ { "active": [ { "content": "***.7.**.57", "healthCheckRegionId": 1, "type": "PUBLIC_IP" } ], "geoMapDetailId": null, "sid": ****, "standby": [ { "content": "***.53.**.0", "healthCheckRegionId": 1, "type": "PUBLIC_IP" } ] } ]' ``` ## Response The following describes the response format. ### Response status codes For information about the HTTP status codes common to all Traffic Policy APIs, see [Traffic Policy API response status codes](/docs/en/policy-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` **** ``` ### Error code example The following is a sample error code. ``` { "result": "FAIL", "error": { "errorCode": "05X000", "message": "Invalid value.
Hover your mouse over the displayed area to see the details in a tooltip.", "devMessage": "Invalid value.", "moreInfo": { "validationInfo": [ { "fieldPath": "geoMapId", "msg": "geoMapId can't be entered unless the load balancer type is Geo/CIDR." }, { "fieldPath": "resourceGroups[0].geoMapDetailId", "msg": "geoMapDetailId can't be entered unless the load balancer type is Geo/CIDR." }, { "fieldPath": "resourceGroups[0].sid", "msg": "sid can only be a minimum of 1 and a maximum of 9,223,372,036,854,775,807." }, { "fieldPath": "resourceGroups[0].weighted", "msg": "weighted can't be entered unless the load balancer type is Weighted RR." } ], "timestamp": "2022-11-16T10:54:47.191+09:00" } } } ```